Index: /trunk/SophyaPI/PIGcont/smakefile
===================================================================
--- /trunk/SophyaPI/PIGcont/smakefile	(revision 3006)
+++ /trunk/SophyaPI/PIGcont/smakefile	(revision 3007)
@@ -15,6 +15,8 @@
   $(SOPHYAINCP)machdefs.h picntools.h \
   $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
@@ -25,4 +27,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -51,4 +54,7 @@
   $(SOPHYAINCP)picmapview.h pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
+  $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
@@ -64,4 +70,5 @@
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
+  $(SOPHYAINCP)picmapview.h \
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
@@ -78,4 +85,5 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)dlftypes.h \
   $(SOPHYAINCP)piacmd.h \
@@ -101,4 +109,5 @@
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -117,7 +126,10 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -126,4 +138,5 @@
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
@@ -134,4 +147,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -160,4 +174,7 @@
   $(SOPHYAINCP)picmapview.h pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
+  $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
@@ -173,4 +190,5 @@
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
+  $(SOPHYAINCP)picmapview.h \
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
